drop database Lanthane ;
create database Lanthane ;
use Lanthane ;


create table utilisateur (
id int primary key auto_increment not null, 
pseudo varchar(100) not null, 
mdp varchar(100) not null
) ;

insert into utilisateur (pseudo, mdp) values ('root', 'root') ;
insert into utilisateur (pseudo, mdp) values ('t', 't') ;

create table dossier (
id int primary key auto_increment not null, 
nom varchar(255) not null, 
id_utilisateur int not null, 
id_dossier int
) ;

insert into dossier (nom, id_utilisateur) values ('racine', 1) ;
insert into dossier (nom, id_utilisateur) values ('racine', 2) ;

create table fichier (
id int primary key auto_increment not null, 
nom varchar(255) not null, 
poids int, 
type int not null, 
emplacement varchar(255) not null, 
id_utilisateur int not null, 
id_dossier int not null
) ;

insert into fichier (nom, poids, type, id_utilisateur, id_dossier) values ('test.png', 684, 1, 1, 1) ;
insert into fichier (nom, poids, type, id_utilisateur, id_dossier) values ('caramel.tga', 1520, 4, 2, 2) ;
insert into fichier (nom, poids, type, id_utilisateur, id_dossier) values ('tout_mou.odt', 596, 3, 2, 2) ;
