<?php

include("../../C/C.php") ;
//include("C/BDD.php") ;
include("../../C/Base_php/espace_de_travail.php") ;
include("../../C/Base_php/fichier.php") ;
include("../../C/Base_php/utilisateur.php") ;
include("../../C/Base_php/relation_utilisateur_edt.php") ;

// Import des configurations
include("../../configs.php") ;

include("../../langues/FR.php") ;

// Connexion à la base de donnée
$connex = connexion_bd($c) ;


// Démarre la session
session_name($nom_session) ;
session_start() ;

if (!isset($_SESSION["connexion"])) {
	$_SESSION["connexion"] = false ;
}

// Vérifie l'ID du fichier
if (isset($_GET["fichier"])) {
    $id = $_GET["fichier"] ;
} else {
	$id = 0 ;
}

// Récupère le fichier dans la base de données
$fichier = Lanthane_BDD_fichier_select_PK($connex, array("id" => $id)) ;

if (!isset($_SESSION["pseudo"])) {
	$ok = false ;
} elseif ($fichier != false && sizeof($fichier) == 7 && $fichier["pseudo_utilisateur"] == $_SESSION["pseudo"]) {
    $ok = true ;
} elseif ($fichier != false && sizeof($fichier) == 7 && Lanthane_C_utilisateur_membre_edt_($connex, $_SESSION["pseudo"], $fichier["id_espace_de_travail"]) === true && $fichier["droits_groupe"] == 1 && $fichier["pseudo_utilisateur"] != $_SESSION["pseudo"]) {
	$ok = true ;
} elseif ($fichier != false && sizeof($fichier) == 7 && $fichier["droits_autres"] == 1) {
	$ok = true ;
} else {
	$ok = false ;
}

$html = "" ;

if ($ok === true) {
	// Repère les types "ouvrables"
	if (Lanthane_C_type_fichier_image(array_reverse(explode(".", $fichier["nom"]))[0]) == true) {
		$html = "<img style=\"width : 100% ; height : 100%\" src=\"fichiers/EDT/edt_" . $fichier["id_espace_de_travail"] . $fichier["emplacement"] . $fichier["nom"] ."\" />" ;
	} else if (strpos(mime_content_type("../../fichiers/EDT/edt_" . $fichier["id_espace_de_travail"] . $fichier["emplacement"] . $fichier["nom"]), "text") >= 0) {
		$html = "<pre style=\"text-align : left ;\">" . str_replace('>', '&gt;', str_replace('<', '&lt;',file_read("../../fichiers/EDT/edt_" . $fichier["id_espace_de_travail"] . $fichier["emplacement"] . $fichier["nom"], "r"))) . "</pre>" ;
	}
}

echo($html) ;
?>
