<?php

include("../C/C.php") ;
//include("C/BDD.php") ;
include("../C/Base_php/espace_de_travail.php") ;
include("../C/Base_php/fichier.php") ;
include("../C/Base_php/utilisateur.php") ;
include("../C/Base_php/relation_utilisateur_edt.php") ;

// Import des configurations
include("../configs.php") ;

include("../langues/FR.php") ;

// Connexion à la base de donnée
$connex = connexion_bd($c) ;


// Démarre la session
session_name($nom_session) ;
session_start() ;

if (!isset($_SESSION["connexion"])) {
	$_SESSION["connexion"] = false ;
}

if ($CONFIG["ajout_edt"] === true && $_SESSION["connexion"] === true) {
	$edt_id = Lanthane_BDD_espace_de_travail_insert($connex, array("nom" => $_POST["nom_edt"], "taille_max" => $CONFIG["taille_max_edt"])) ;
	$creer = mkdir("../fichiers/EDT/edt_" . $edt_id, 0755) ;
	if ($creer === true) {
		Lanthane_BDD_relation_utilisateur_edt_insert($connex, array("pseudo_utilisateur" => $_SESSION["pseudo"], "id_espace_de_travail" => $edt_id)) ;
	}
}

// Clôture de la connexion à la base de donnée
$connex = null ;
unset($connex) ;

// Retour à l'index
header("Location: ../index.php") ;
?>
