<?php

include("../C/C.php") ;
//include("C/BDD.php") ;
include("../C/Base_php/espace_de_travail.php") ;
include("../C/Base_php/fichier.php") ;
include("../C/Base_php/utilisateur.php") ;
include("../C/Base_php/relation_utilisateur_edt.php") ;

// Import des configurations
include("../configs.php") ;

include("../langues/FR.php") ;

// Connexion à la base de donnée
$connex = connexion_bd($c) ;


// Démarre la session
session_name($nom_session) ;
session_start() ;

if (!isset($_SESSION["connexion"])) {
	$_SESSION["connexion"] = false ;
}

/**
 * Vérification des données d'entrée
 */
if ($_POST["id_edt"] != "" && $_POST["chemin"] != "") {
	$id_edt = $_POST["id_edt"] ;
	$chemin = $_POST["chemin"] ;
}
if (isset($_POST["droits_groupe"])) {
	$droits_groupe = 1 ;
} else {
	$droits_groupe = 0 ;
}
if (isset($_POST["droits_autres"])) {
	$droits_autres = 1 ;
} else {
	$droits_autres = 0 ;
}

$fichiers = Lanthane_C_format_fichiers($_FILES) ;

if ($_SESSION["connexion"] === true && isset($_SESSION["pseudo"]) && Lanthane_C_utilisateur_membre_edt_($connex, $_SESSION["pseudo"], $id_edt) === true) {
	foreach ($fichiers as $fichier) {
		var_dump($fichier) ;
		// Si aucune erreur lors du téléversement du fichier, étape suivante
		if ($fichier["erreur"] == 0) {
			$bouge = move_uploaded_file($fichier["tmp"], "../fichiers/EDT/edt_" . $id_edt . $chemin . $fichier["nom"]) ;
			if ($bouge === true) {
	            // Insertion dans la base de données
				Lanthane_BDD_fichier_insert($connex, array("nom" => $fichier["nom"], "emplacement" => $chemin, "droits_groupe" => $droits_groupe, "droits_autres" => $droits_autres, "pseudo_utilisateur" => $_SESSION["pseudo"], "id_espace_de_travail" => $id_edt)) ;
			} else {
				$_SESSION["erreur"] = "Impossible de téléverser le fichier." ;
			}
		} else {
			$_SESSION["erreur"] = $fichier["erreur"] ;
		}
    }
}

// Retour à l'index
header("Location: ../index.php?route=profil&section=explore&edt=" . $id_edt . "&chemin=" . $chemin) ;
?>
