<?php

include("../C/C.php") ;
//include("C/BDD.php") ;
include("../C/Base_php/espace_de_travail.php") ;
include("../C/Base_php/fichier.php") ;
include("../C/Base_php/utilisateur.php") ;
include("../C/Base_php/relation_utilisateur_edt.php") ;

// Import des configurations
include("../configs.php") ;


// Connexion à la base de donnée
$connex = connexion_bd($c) ;


// Démarre la session
session_name($nom_session) ;
session_start() ;

if ($_SESSION["connexion"] === false) {
	$utilisateur = Lanthane_BDD_utilisateur_select_PK($connex, array("pseudo" => $_POST["pseudo"])) ;
	$ok = false ;
	// Vérifie la concordance des mots de passes
	if ($CONFIG["hash"] === false) {
		if ($_POST["mdp"] == $utilisateur["mdp"]) {
			$ok = true ;
		}
	} else {
		if (password_verify($_POST["mdp"], $utilisateur["mdp"])) {
			$ok = true ;
		}
	}
	// Si les mots de passes sont identiques, connexion
	if ($ok === true) {
		$_SESSION["pseudo"] = $utilisateur["pseudo"] ;
		$_SESSION["mail"] = $utilisateur["mail"] ;
		$_SESSION["code_langue"] = $utilisateur["code_langue"] ;
		$_SESSION["connexion"] = true ;
	}
}

// Retour l'index
header("Location: ../index.php") ;
?>
