<?php
function Lanthane_BDD_relation_utilisateur_edt_select($connex) {
    $res = array() ;
    $req = $connex->prepare("select pseudo_utilisateur, id_espace_de_travail from relation_utilisateur_edt") ;
    $req->execute() ;
    $c = 0 ;
    while ($row = $req->fetch(PDO::FETCH_ASSOC)) {
        $res[$c] = $row ;
        $c = $c+1 ;
    }
    $req->closeCursor() ;
    return $res ;
}


function Lanthane_BDD_relation_utilisateur_edt_select_PK($connex, $relation_utilisateur_edt) {
    $res = array() ;
    $req = $connex->prepare("select pseudo_utilisateur, id_espace_de_travail from relation_utilisateur_edt where pseudo_utilisateur = ? and id_espace_de_travail = ?") ;
    $req->bindParam(1, $relation_utilisateur_edt["pseudo_utilisateur"]) ;
    $req->bindParam(2, $relation_utilisateur_edt["id_espace_de_travail"]) ;
    $req->execute() ;
    $res = $req->fetch(PDO::FETCH_ASSOC) ;
    $req->closeCursor() ;
    return $res ;
}


function Lanthane_BDD_relation_utilisateur_edt_insert($connex, $relation_utilisateur_edt) {
    $res = array() ;
    $req = $connex->prepare("insert into relation_utilisateur_edt (pseudo_utilisateur, id_espace_de_travail) values (?, ?)") ;
    $req->bindParam(1, $relation_utilisateur_edt["pseudo_utilisateur"]) ;
    $req->bindParam(2, $relation_utilisateur_edt["id_espace_de_travail"]) ;
    $req->execute() ;
    $req->closeCursor() ;
}


function Lanthane_BDD_relation_utilisateur_edt_update_PK($connex, $relation_utilisateur_edt) {
    $res = array() ;
    $req = $connex->prepare("update relation_utilisateur_edt  where pseudo_utilisateur = ? and id_espace_de_travail = ?") ;
    $req->bindParam(1, $relation_utilisateur_edt["pseudo_utilisateur"]) ;
    $req->bindParam(2, $relation_utilisateur_edt["id_espace_de_travail"]) ;
    $req->execute() ;
    $res = $req->fetch(PDO::FETCH_ASSOC) ;
    $req->closeCursor() ;
    return $res ;
}


function Lanthane_BDD_relation_utilisateur_edt_delete_PK($connex, $relation_utilisateur_edt) {
    $res = array() ;
    $req = $connex->prepare("delete from relation_utilisateur_edt where pseudo_utilisateur = ? and id_espace_de_travail = ?") ;
    $req->bindParam(1, $relation_utilisateur_edt["pseudo_utilisateur"]) ;
    $req->bindParam(2, $relation_utilisateur_edt["id_espace_de_travail"]) ;
    $req->execute() ;
    $res = $req->fetch(PDO::FETCH_ASSOC) ;
    $req->closeCursor() ;
    return $res ;
}
?>
