/* Script généré automatiquement par Katyusha MCD v0.4.3 pour mysql */


/* Table : utilisateur */

CREATE TABLE utilisateur (
    pseudo VARCHAR(255) NOT NULL PRIMARY KEY, 
    mdp VARCHAR(255) NOT NULL, 
    mail VARCHAR(255) NOT NULL, 
    code_langue CHAR(255) NOT NULL DEFAULT 'eo'
) ;


/* Table : fichier */

CREATE TABLE fichier (
    id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY, 
    nom VARCHAR(255) NOT NULL, 
    emplacement VARCHAR(255) NOT NULL, 
    droits_groupe SMALLINT NOT NULL, 
    droits_autres SMALLINT NOT NULL, 
    pseudo_utilisateur VARCHAR(255) NOT NULL, 
    id_espace_de_travail INTEGER NOT NULL
) ;


/* Table : espace_de_travail */

CREATE TABLE espace_de_travail (
    id INTEGER AUTO_INCREMENT NOT NULL PRIMARY KEY, 
    nom VARCHAR(255) NOT NULL, 
    taille_max INTEGER NOT NULL
) ;


/* Table : relation_utilisateur_edt */

CREATE TABLE relation_utilisateur_edt (
    pseudo_utilisateur VARCHAR(255) NOT NULL, 
    id_espace_de_travail INTEGER NOT NULL, 
    PRIMARY KEY(pseudo_utilisateur, id_espace_de_travail)
) ;





ALTER TABLE relation_utilisateur_edt ADD CONSTRAINT FK_utilisateur_pseudo_utilisateur_relation_utilisateur_edt FOREIGN KEY (pseudo_utilisateur) REFERENCES utilisateur(pseudo) ;

ALTER TABLE relation_utilisateur_edt ADD CONSTRAINT FK_espace_de_travail_id_espace_de_travail_relation_utilisat12706 FOREIGN KEY (id_espace_de_travail) REFERENCES espace_de_travail(id) ;

ALTER TABLE fichier ADD CONSTRAINT FK_utilisateur_pseudo_utilisateur_fichier FOREIGN KEY (pseudo_utilisateur) REFERENCES utilisateur(pseudo) ;

ALTER TABLE fichier ADD CONSTRAINT FK_espace_de_travail_id_espace_de_travail_fichier FOREIGN KEY (id_espace_de_travail) REFERENCES espace_de_travail(id) ;


