<?php

include("../C/C.php") ;
//include("C/BDD.php") ;
include("../C/Base_php/espace_de_travail.php") ;
include("../C/Base_php/fichier.php") ;
include("../C/Base_php/utilisateur.php") ;
include("../C/Base_php/relation_utilisateur_edt.php") ;

// Import des configurations
include("../configs.php") ;

include("../langues/FR.php") ;

// Connexion à la base de donnée
$connex = connexion_bd($c) ;


// Démarre la session
session_name($nom_session) ;
session_start() ;

if (!isset($_SESSION["connexion"])) {
	$_SESSION["connexion"] = false ;
}

/**
 * Vérification des données d'entrée
 */
if ($_POST["chemin"] != "" && $_POST["id_edt"] != "") {
	$chemin = $_POST["chemin"] ;
	$id_edt = $_POST["id_edt"] ;
}

// Si le nom du nouveau dossier est vide, nom par défaut
if ($_POST["nom_rep"] == "") {
	$nom_rep = "Nova dosierujo" ;
} else {
	$nom_rep = $_POST["nom_rep"] ;
}

if ($_SESSION["connexion"] === true && isset($_SESSION["pseudo"]) && Lanthane_C_utilisateur_membre_edt_($connex, $_SESSION["pseudo"], $id_edt) === true) {
	mkdir("../fichiers/EDT/edt_" . $id_edt . $chemin . "/" . $nom_rep, 0755) ;
}

// Retour à l'index
header("Location: ../index.php?route=profil&section=explore&edt=" . $id_edt . "&chemin=" . $chemin) ;
?>

