<?php

include("../C/C.php") ;
//include("C/BDD.php") ;
include("../C/Base_php/espace_de_travail.php") ;
include("../C/Base_php/fichier.php") ;
include("../C/Base_php/utilisateur.php") ;
include("../C/Base_php/relation_utilisateur_edt.php") ;

// Import des configurations
include("../configs.php") ;

include("../langues/FR.php") ;

// Connexion à la base de donnée
$connex = connexion_bd($c) ;


// Démarre la session
session_name($nom_session) ;
session_start() ;

if (!isset($_SESSION["connexion"])) {
	$_SESSION["connexion"] = false ;
}

if ($CONFIG["ajout_edt"] === true && $_SESSION["connexion"] === true && $_SESSION["pseudo"] == "root") {
	$utilisateur["pseudo"] = $_POST["pseudo"] ;
	$utilisateur["mail"] = $_POST["mail"] ;
	if ($CONFIG["hash"] === true) {
		$utilisateur["mdp"] = password_hash($_POST["mdp"], PASSWORD_BCRYPT) ;
	} else {
		$utilisateur["mdp"] = $_POST["mdp"] ;
	}
	$utilisateur["code_langue"] = $code_langue ;
	Lanthane_BDD_utilisateur_insert($connex, $utilisateur) ;
}

// Clôture de la connexion à la base de donnée
$connex = null ;
unset($connex) ;

// Retour à l'index
header("Location: ../index.php") ;
?>
