<?php

include("../C/C.php") ;
//include("C/BDD.php") ;
include("../C/Base_php/espace_de_travail.php") ;
include("../C/Base_php/fichier.php") ;
include("../C/Base_php/utilisateur.php") ;
include("../C/Base_php/relation_utilisateur_edt.php") ;

// Import des configurations
include("../configs.php") ;

include("../langues/FR.php") ;

// Connexion à la base de donnée
$connex = connexion_bd($c) ;


// Démarre la session
session_name($nom_session) ;
session_start() ;

if (!isset($_SESSION["connexion"])) {
	$_SESSION["connexion"] = false ;
}

// Vérifie l'ID du fichier
if (isset($_GET["fichier"])) {
    $id = $_GET["fichier"] ;
} else {
	$id = 0 ;
}

// Récupère le fichier dans la base de données
$fichier = Lanthane_BDD_fichier_select_PK($connex, array("id" => $id)) ;

if (!isset($_SESSION["pseudo"])) {
	$ok = false ;
} elseif (sizeof($fichier) == 7 && $fichier["pseudo_utilisateur"] == $_SESSION["pseudo"]) {
    $ok = true ;
} elseif (sizeof($fichier) == 7 && Lanthane_C_utilisateur_membre_edt_($connex, $_SESSION["pseudo"], $fichier["id_espace_de_travail"]) === true && $fichier["droits_groupe"] == 1 && $fichier["pseudo_utilisateur"] != $_SESSION["pseudo"]) {
	$ok = true ;
} elseif (sizeof($fichier) == 7 && $fichier["droits_autres"] == 1) {
	$ok = true ;
} else {
	$ok = false ;
}

if ($ok === true) {
	$f = "../fichiers/EDT/edt_" . $fichier["id_espace_de_travail"] . $fichier["emplacement"] . $fichier["nom"] ;
    // Teste si le fichier existe ou non
    if (!file_exists($f)) {
	    $f = "../fichiers/INC" ;
    }
} else {
    $f = "../fichiers/INC" ;
}

// Force le téléchargement du fichier
Lanthane_C_http_force_telechargement($fichier["nom"], $f, 600) ;
?>
